Subject: bug#18930: closed (Re: bug#18930: install-data-local fails with 2.4.3)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 03 Nov 2014 13:10:04 +0000

Your bug report

#18930: install-data-local fails with 2.4.3

which was filed against the libtool package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18930: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18930
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18930: install-data-local fails with 2.4.3
From: "Gary V. Vaughan" <[email-masked]>
To: Allan McRae <[email-masked]>
Cc: [email-masked]
Date: Mon, 3 Nov 2014 13:09:39 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Allan,

> On Nov 3, 2014, at 12:33 PM, Allan McRae <[email-masked]> wrote:
> 
> Just to note there was a typo in my command:
> 
> make DESTDIR=/install/ install-data-local
> 
> So it is a "make install" type operation.  It is also replicable on
> current master.
> 
> I have just looked at the error...
> /bin/sh: /install/usr/bin/libtoolize: No such file or directory
> 
> I am assuming this is because the /install/usr/bin directory has not
> been made yet.

Thanks for persevering with me.  Yes, you are quite right!

I pushed a fix just now, so the next release will behave correctly again.

Cheers,
-- 
Gary V. Vaughan (gary AT gnu DOT org)

Subject: install-data-local fails with 2.4.3
From: Allan McRae <[email-masked]>
To: [email-masked]
Date: Mon, 03 Nov 2014 15:19:28 +1000
List-Id: <debbugs-submit.debbugs.gnu.org>

With the 2.4.3 release, I can no longer run "make
DESTDIR=/install/install-data-local".  I get the following error:

GREP='/usr/bin/grep' SED='/usr/bin/sed' './build-aux/inline-source'
libtoolize > '/install/usr/bin/libtoolize';
/bin/sh: /install/usr/bin/libtoolize: No such file or directory

It looks like install-data-local requires libtoolize to be installed and
should depend on install-binSCRIPTS.  Or even better, do not adjust
libtoolize if it has not been installed (useful for installing libltdl
files separately).

Allan